<?php
include("../config/conexion.php");

if (isset($_GET['idcita'])) {
    $idregistro = $_GET['idcita'];

    // Consulta para eliminar la cita
    $sql = $conexion->prepare("DELETE FROM cita WHERE idcita = ?");
    $sql->bind_param("s", $idregistro);

    if ($sql->execute()) {
        // Redirigir con éxito
        header("Location: ../iniciocita.php?success=Cita eliminada correctamente");
    } else {
        // Redirigir con error
        header("Location: ../iniciocita.php?error=Error al eliminar la cita");
    }
    $sql->close();
} else {
    die("ID de registro no proporcionado.");
}

$conexion->close();
